This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 968841 - java-1.6.0-openjdk is obsoleted by (installed) java-1.7.0-openjdk-1:1.7.0.19-2.3.9.3.fc17.i686
java-1.6.0-openjdk is obsoleted by (installed) java-1.7.0-openjdk-1:1.7.0.19-...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 01:35 EDT by Prince Francis
Modified: 2013-05-30 04:35 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-30 04:35:32 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prince Francis 2013-05-30 01:35:34 EDT
Description of problem:
I already have java installed
------------------------------
java version "1.7.0_11"
Java(TM) SE Runtime Environment (build 1.7.0_11-b21)
Java HotSpot(TM) Server VM (build 23.6-b04, mixed mode)

Then I tried install java 6 using
yum install java-1.6.0-openjdk --releasever=16 --nogpgcheck
Then the below problem occured.

Total download size: 26 M
Installed size: 85 M
Is this ok [y/N]: y
Downloading Packages:
java-1.6.0-openjdk-1.6.0.0-71.1.11.6.fc16.i686.rpm                                                                                                                                                                    |  26 MB     09:16     
Running Transaction Check
ERROR with transaction check vs depsolve:
java-1.6.0-openjdk is obsoleted by (installed) java-1.7.0-openjdk-1:1.7.0.19-2.3.9.3.fc17.i686
Please report this error in https://bugzilla.redhat.com/enter_bug.cgi?product=Fedora&version=rawhide&component=yum
 You could try running: rpm -Va --nofiles --nodigest
Your transaction was saved, rerun it with:
 yum load-transaction /tmp/yum_save_tx.2013-05-30.10-14.t8uxYi.yumtx


Version-Release number of selected component (if applicable):
yum version
3.4.3
  Installed: rpm-4.9.1.3-8.fc17.i686 at 2013-04-15 04:31
  Built    : Fedora Project at 2013-03-27 06:28
  Committed: Panu Matilainen <pmatilai@redhat.com> at 2013-03-27

  Installed: yum-3.4.3-31.fc17.noarch at 2013-03-20 04:55
  Built    : Fedora Project at 2013-02-20 00:52
  Committed: James Antill <james at fedoraproject.org> at 2013-02-19

How reproducible:
step 1. have java 7 in fedora 17.
[root@prince ~]# alternatives --config java

There are 2 programs which provide 'java'.

  Selection    Command
-----------------------------------------------
*  1           /usr/lib/jvm/jre-1.7.0-openjdk/bin/java
 + 2           /usr/java/latest/jre/bin/java

step 2
install java 6 using
yum install java-1.6.0-openjdk --releasever=16 --nogpgcheck
step 3
you would get the above error

Actual results:
as given above

Expected results:
jdk 6 also should be installed.

Additional info:
Comment 1 Jan Zeleny 2013-05-30 04:35:32 EDT
This is an expected behavior. As you have also mentioned, you have a newer java package already installed, yum is just letting you know about it.

Unfortunately it is not possible to have both versions of the package installed simultaneously (from the description you can see that 1.7 package is obsoleting the 1.6). To install the 1.6 you'd have to uninstall 1.7 first.

Note You need to log in before you can comment on or make changes to this bug.